%define piname	polar_pi

Name:		opencpn-polar-plugin
Summary:	Polar diagram generation plugin for OpenCpn
Version:	1.1.007
Release:	%mkrel 2
License:	GPLv2
Group:		Geography
URL:		https://github.com/ptulp/%{piname}
# See opencpn srpm SOURCES for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
#BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Polar diagram generation plugin for OpenCpn 

%prep
%setup -q -n %{piname}

%build
%cmake \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	-DCMAKE_BUILD_TYPE=release

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Thu Jun 02 2016 daviddavid <daviddavid> 1.1.007-2.mga6
+ Revision: 1019834
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.1.007-1.mga6
+ Revision: 962220
- new package opencpn-polar-plugin

